<?php

function uc_erip_complete($cart_id = 0) {
  $order_id = $_REQUEST['EP_OrderNo'];
  $output = '';
  drupal_set_title(t(''));
  drupal_set_message(t("<font size='4' color='#00a12d'>Счет добавлен в систему ЕРИП для оплаты.<br/>
			Номер заказа для оплаты: $order_id</font>"));
 
  drupal_goto('cart/checkout/complete');
 return $output;
}

function uc_erip_cancel() {
   $order_id = $_REQUEST['EP_OrderNo'];
   uc_order_update_status($order_id, 'canceled');
   $output = '';
   drupal_set_title(t(''));
   drupal_set_message(t("<font size='4' color='#D1001D'>Ошибка оплаты счета</font>"), 'error');
   drupal_goto('cart');
  return $output;
}

function uc_erip_notify() {

  $order_mer_code   = $_POST['order_mer_code'];
  $sum              = $_POST['sum'];
  $mer_no           = $_POST['mer_no'];
  $card             = $_POST['card'];
  $purch_date       = $_POST['purch_date'];
  $web_key          = variable_get('uc_erip_webkey');
  $notify_signature = $_POST['notify_signature'];

  $hash = md5($order_mer_code . $sum . $mer_no . $card . $purch_date . $web_key);

   if ($notify_signature == $hash) {
      db_update('uc_orders')
        ->fields(array(
          'order_status' => 'payment_received'))
        ->condition('order_id', $order_mer_code)
        ->execute();
      $status = 'OK | the notice is processed'; 
      header("HTTP/1.0 200 OK");
      print $status;
    } else {
      $status = 'FAILED | incorrect digital signature'; 
      header("HTTP/1.0 400 Bad Request");
      print $status;
    }
}